extends Node2D

onready var robot_scene = preload("res://Robot.tscn")

func _ready():
	# Called when the node is added to the scene for the first time.
	# Initialization here
	pass

func _process(delta):
	rotate(deg2rad(-2))
	
	if Input.is_action_just_pressed("rclick"):
		if $Timer.is_stopped():
			$Timer.start()
			
			var robot = robot_scene.instance()
			robot.position = position
			get_tree().get_root().add_child(robot)
		else:
			$Timer.stop()
	

func _on_Timer_timeout():
	var robot = robot_scene.instance()
	robot.position = position
	get_tree().get_root().add_child(robot)
